%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

%define texpkg      perltex
%define texpkgdir   %{_texmf}/tex/latex/%{texpkg}
%define texpkgdoc   %{_texmf}/doc/latex/%{texpkg}

Name:           tetex-%{texpkg}
Version:        1.2
Release:        2%{?dist}
Summary:        Define LaTeX macros in terms of Perl code

Group:          Applications/Publishing
License:        LaTeX Project Public License
URL:            http://www.ctan.org/tex-archive/help/Catalogue/entries/perltex.html
# In the past DANTE generated CTAN packages tarballs on-the-fly.
#   ftp://ftp.dante.de/tex-archive/macros/latex/contrib/perltex.tar.gz
# Now it creates zip archives.
Source0:        perltex-1.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  tetex-latex
Requires:       tetex-latex
Requires(post): /usr/bin/texhash
Requires(postun): /usr/bin/texhash

%description
PerlTeX is a combination Perl script (perltex) and LaTeX2e style file
(perltex.sty) that, together, give the user the ability to define
LaTeX macros in terms of Perl code.  Once defined, a Perl macro
becomes indistinguishable from any other LaTeX macro.  PerlTeX thereby
combines LaTeX's typesetting power with Perl's programmability.


%prep
%setup -q -n %{texpkg}

%build
latex %{texpkg}.ins
%{__sed} -i 's,^#! /usr/bin/env perl$,#!%{__perl},' perltex.pl

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT{%{_bindir},%{texpkgdir},%{texpkgdoc}}
install -p -m 755 perltex.pl $RPM_BUILD_ROOT%{_bindir}/perltex
install -p -m 644 *.sty $RPM_BUILD_ROOT%{texpkgdir}/
install -p -m 644 *.pdf $RPM_BUILD_ROOT%{texpkgdoc}/

%clean
rm -rf $RPM_BUILD_ROOT


%post
texhash >/dev/null 2>&1 || :

%postun
texhash >/dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/*
%{texpkgdir}/
%{_texmf}/doc/


%changelog
* Sat Jun 18 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.2-2
- Dist tag.

* Wed Mar 30 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.2-1
- First build.
